#pragma once
#include "display.h"

//https://gamedev.stackexchange.com/questions/168841/c-create-array-of-multiple-types

class HomeScreen
{
public:
    virtual bool Update() {return true;};
    lv_obj_t *lvContainerObj;                    // root object pointer for us...
    
    virtual ~HomeScreen() {
        // Class destructor -> clean the LVGL container object.  This frees all LVGL object memory
        lv_obj_clean(this->lvContainerObj);
        
        //https://www.quantstart.com/articles/C-Virtual-Destructors-How-to-Avoid-Memory-Leaks/
        //NOTE: Subclass destructors MUST have "virtual" before their declares, so C++ will properly
        //run the destructor chain subclass -> head class (right here), etc.
        //NOTE: Only put subclass-specific items in the subclass destructors.  General cleanup should be in this destructor.
    }
};
